DPO_RT3562_3592_3062_LinuxSTA_V2.4.1.1_20101217
I don't know how or if it's possible to get this relative old-timer to work with your 2.6.39 kernel. If it were me, I'd try to get rt2800pci working; perhaps with newer firmware. Would you care to start a new thread and leave the link here?
make: *** [LINUX] Error 2
For your reference and for the searchers, when you get this message, stop; everything else following will be erroneous as well. As the old saying goes, "You can't make a silk purse out of a Linux make error."